﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EFlib
{
    public class EFCharacteristics
    {
        [Key]
        public int Id { get; set; }

        public string Name { get; set; }
        public int Value { get; set; }

        // Clé étrangère vers l'entité parente
        [ForeignKey("EFChampion")]
        public string EFChampionName { get; set; }
        public EFChampion EFChampion { get; set; }
    }
}
